package com.docus.server.archivefile.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.TaskMessageRetryLog;

import java.util.List;

public interface ITaskMessageRetryLogService {
    List<TaskMessageRetryLog> findByTaskIds(List<Long> taskIds);

    TaskMessageRetryLog findById(String id);

    PageResult<TaskMessageRetryLog> search(SearchRequest searchRequest);

    void saveTaskMessageRetryLog(TaskMessageRetryLog taskMessageRetryLog);
}
